Debian Bug report logs - #539568
RFP: libsockets -- C++ Sockets Library

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>

Date: Sun, 2 Aug 2009 00:00:05 UTC

Severity: wishlist

Merged with 544074

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#539568; Package wnpp. (Sun, 02 Aug 2009 00:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Sun, 02 Aug 2009 00:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libsockets++ -- C++ sockets wrapper library
Date: Sat, 01 Aug 2009 07:52:23 +0000
Package: wnpp
Severity: wishlist
Owner: Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


* Package name    : libsockets++
  Version         : 2.3.4
  Upstream Author : grymse@alhem.net
* URL             : http://www.alhemt.net/Sockets/
* License         : GPL
  Programming Lang: C++
  Description     : C++ sockets class library

This is a GPL licensed C++ class library wrapping 
the berkeley sockets C API, and therefore works on 
most unixes and also win32. The library is in use 
in a number of real world applications, both 
commercial and open source.
..
Features include, but are not limited to, SSL support, 
IPv6 support, tcp and udp sockets, sctp sockets, http 
protocol, highly customizable error handling. Testing 
has been done on Linux and Windows 2000, and to some 
part on Solaris and Mac OS X.
..
The source code is released under the terms of the GNU 
GPL, but is also available under an alternative license.

- -- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpz9C0ACgkQ8shpC1uVsMtHMwCdG/5Puo3yQddeN0ULd2h61jZL
n34Anibxjw0sSzFCvF2rCmigQBlYLfSm
=smrz
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>:
Bug#539568; Package wnpp. (Sun, 02 Aug 2009 07:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>. (Sun, 02 Aug 2009 07:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 539568@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>
Cc: 539568@bugs.debian.org
Subject: Re: Bug#539568: ITP: libsockets++ -- C++ sockets wrapper library
Date: Sun, 02 Aug 2009 09:35:26 +0200
* Leinier Cruz Salfran:

> * URL             : http://www.alhemt.net/Sockets/

"alhem.net" (no "t")

> The source code is released under the terms of the GNU 
> GPL, but is also available under an alternative license.

The alternative license does not apply to the version in Debian, so
this shouldn't be part of the package description, I guess.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#539568; Package wnpp. (Sun, 02 Aug 2009 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 02 Aug 2009 18:18:05 GMT) Full text and rfc822 format available.

Message #15 received at 539568@bugs.debian.org (full text, mbox):

From: Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>
To: Florian Weimer <fw@deneb.enyo.de>, 539568@bugs.debian.org
Subject: Re: Bug#539568: ITP: libsockets++ -- C++ sockets wrapper library
Date: Sun, 02 Aug 2009 02:07:40 +0000
[Message part 1 (text/plain, inline)]
thanks for the correction, actually, i'll correct the itp bug in order
to package the 2.3.5 release and i'll make other fixes .. i updated my
files yesterday .. i'll exclude the alternative license

please if there is anything you can add let me know.



El dom, 02-08-2009 a las 09:35 +0200, Florian Weimer escribió:
> * Leinier Cruz Salfran:
> 
> > * URL             : http://www.alhemt.net/Sockets/
> 
> "alhem.net" (no "t")
> 
> > The source code is released under the terms of the GNU 
> > GPL, but is also available under an alternative license.
> 
> The alternative license does not apply to the version in Debian, so
> this shouldn't be part of the package description, I guess.
> 
> 
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'libsockets++'. Request was from Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu> to control@bugs.debian.org. (Wed, 12 Aug 2009 22:03:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.3.5. Request was from Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu> to control@bugs.debian.org. (Wed, 12 Aug 2009 22:03:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'libsockets++2: C++ sockets class library' from 'ITP: libsockets++ -- C++ sockets wrapper library' Request was from Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu> to control@bugs.debian.org. (Wed, 12 Aug 2009 22:03:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'C++ sockets class library' from 'libsockets++2: C++ sockets class library' Request was from Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu> to control@bugs.debian.org. (Wed, 12 Aug 2009 23:18:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libsockets++' to 'wnpp'. Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 10:39:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.3.5. Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 10:39:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'libsockets: C++ sockets wrapper library' from 'C++ sockets class library' Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 10:39:07 GMT) Full text and rfc822 format available.

Merged 539568 544074. Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 10:39:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: libsockets -- C++ sockets wrapper library' from 'libsockets: C++ sockets wrapper library' Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 10:54:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: libsockets -- C++ Sockets Library' from 'ITP: libsockets -- C++ sockets wrapper library' Request was from Magnus Holmgren <holmgren@debian.org> to control@bugs.debian.org. (Sat, 29 Aug 2009 11:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>:
Bug#539568; Package wnpp. (Mon, 10 May 2010 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cleto Martin Angelina <cleto.martin@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>. (Mon, 10 May 2010 20:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 539568@bugs.debian.org (full text, mbox):

From: Cleto Martin Angelina <cleto.martin@gmail.com>
To: 539568@bugs.debian.org, alfrancl@ipigto.rimed.cu
Subject: What about libsockets?
Date: Mon, 10 May 2010 22:01:52 +0200
Hi!

Is this library already packaged? I offer myself to collaborate in the
packaging process if you need help.

Cheers,
 Cleto.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>:
Bug#539568; Package wnpp. (Tue, 11 May 2010 09:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobi <listaccount@e-tobi.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>. (Tue, 11 May 2010 09:03:02 GMT) Full text and rfc822 format available.

Message #45 received at 539568@bugs.debian.org (full text, mbox):

From: Tobi <listaccount@e-tobi.net>
To: Cleto Martin Angelina <cleto.martin@gmail.com>
Cc: 539568@bugs.debian.org
Subject: Re: An ITP looks like forgotten
Date: Tue, 11 May 2010 11:01:06 +0200
Am 11.05.2010 10:41, schrieb Cleto Martin Angelina:

> The bug #539568 is an ITP for a C++ sockets library. The ITP was
> created on Augus'09. I'm interested in this package too, and I wrote
> an email to the bug  author and I've received that his email does not
> exists. In this cases, what should be done?

I'm not the ITP author, but we've packaged this a while ago:

http://svn.debian.org/viewsvn/pkg-vdr-dvb/general/libsockets/trunk/

dget 
http://e-tobi.net/vdr-experimental/pool-sid/source/base/libsockets_2.2.5-4.dsc

It probably needs some polishing and an upstream-update.

(CC-ing the ITP-Bug)

Tobias




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>:
Bug#539568; Package wnpp. (Sat, 19 Feb 2011 18:14:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>. (Sat, 19 Feb 2011 18:14:17 GMT) Full text and rfc822 format available.

Message #50 received at 539568@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 539568@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libsockets: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:04:03 +0000
retitle 539568 RFP: libsockets -- C++ Sockets Library
noowner 539568
thanks

Hi,

This is an automatic email to change the status of libsockets back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libsockets, please send a mail to
<control@bugs.debian.org> with:

 retitle 539568 ITP: libsockets -- C++ Sockets Library
 owner 539568 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <539568@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libsockets -- C++ Sockets Library' from 'ITP: libsockets -- C++ Sockets Library' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:18:38 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Leinier Cruz Salfran <salfrancl@ipigto.rimed.cu>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:18:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:53:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.